Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2008 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.commerce.util
Class Logger

    java.lang.Object
      com.beasys.commerce.util.Logger

All Implemented Interfaces
  Log

Deprecated Use the Weblogic logging mechanism

    public class Logger

extends Object
implements Log

Logger singleton. This class will read the log class from the commerce properties. This class must implement the Log interface. If it is not found or If there is a problem creating the specified log class, it will use the std err log. For purely convenience reasons, this class has implemented the Log interface and delegates to the instantiated 'Log'. So instead of doing Logger.getInstance().getLog().log(), you can do Logger.getInstance().log(). NOTE: Both methods are valid and write to identical logs. Also since the singleton implements the Log interface, the constants are available off of Logger, e.g. Logger.LOG_DEBUG == Log.LOG_DEBUG.

Field Summary

Fields inherited from interface com.beasys.commerce.util.Log
`LOG_DEBUG, LOG_DEPRECATED, LOG_ERROR, LOG_FATAL, LOG_INFO, LOG_SECURITY, LOG_WARNING`

Constructor Summary
`protected` | `Logger()` Deprecated See BEA Commerce product offering

Method Summary
`void` | `debug(String aMsg)` Deprecated See BEA Commerce product offering
`void` | `deprecated(String aMsg)` Deprecated See BEA Commerce product offering
`static Logger` | `getInstance()` Deprecated See BEA Commerce product offering
`Log` | `getLog()` Deprecated See BEA Commerce product offering
`int` | `getMinimumLevel()` Deprecated See BEA Commerce product offering
`boolean` | `getShowDebug()` Deprecated See BEA Commerce product offering
`boolean` | `getShowDeprecated()` Deprecated See BEA Commerce product offering
`void` | `info(String aMsg)` Deprecated See BEA Commerce product offering
`void` | `info(String aMsg, Throwable anException)` Deprecated See BEA Commerce product offering
`protected void` | `init()` Deprecated See BEA Commerce product offering
`void` | `log(int aLevel, String aMsg)` Deprecated See BEA Commerce product offering
`void` | `log(int aLevel, String appName, String aMsg)` Deprecated See BEA Commerce product offering
`void` | `log(int aLevel, String appName, String aMsg, Throwable anException)` Deprecated See BEA Commerce product offering
`void` | `log(int aLevel, String aMsg, Throwable anException)` Deprecated See BEA Commerce product offering
`void` | `setMinimumLevel(int aLevel)` Deprecated See BEA Commerce product offering
`void` | `setShowDebug(boolean aBool)` Deprecated See BEA Commerce product offering
`void` | `setShowDeprecated(boolean aBool)` Deprecated See BEA Commerce product offering

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Logger

    protected Logger()

  Deprecated See BEA Commerce product offering

  Default constructor.

Method Detail

### init

    protected void init()

  Deprecated See BEA Commerce product offering

  Initialize the logger.

### getInstance

    public static Logger getInstance()

  Deprecated See BEA Commerce product offering

  Get singleton instance.

  Returns
    `Log`

### getLog

    public Log getLog()

  Deprecated See BEA Commerce product offering

  Return the instantiated 'Log'.

  Returns
    `Log`

### debug

    public void debug(String aMsg)

  Deprecated See BEA Commerce product offering

  Convenience method for debug level message (LOG_DEBUG).

  Specified by:
    `debug` in interface `Log`
  Parameters
    `aMsg` -

### info

    public void info(String aMsg)

  Deprecated See BEA Commerce product offering

  Write to the logs, with extra information added. Convenience method for LOG_INFO level.

  Specified by:
    `info` in interface `Log`
  Parameters
    `String` - the message, if null it should be ignored.

### deprecated

    public void deprecated(String aMsg)

  Deprecated See BEA Commerce product offering

  Show a deprecated message. This message should also explain what they should use instead of the current implementation.

  Specified by:
    `deprecated` in interface `Log`
  Parameters
    `aMsg` -

### info

    public void info(String aMsg,
                     Throwable anException)

  Deprecated See BEA Commerce product offering

  Write to the logs, with extra information added. Convenience method for LOG_INFO level.

  Specified by:
    `info` in interface `Log`
  Parameters
    `String` - the message, if null it should be ignored.
    `anException` -

### log

    public void log(int aLevel,
                    String aMsg)

  Deprecated See BEA Commerce product offering

  Write to the weblogic logs, with extra information added.

  Specified by:
    `log` in interface `Log`
  Parameters
    `int` - aLevel Possible error levels are: LOG_DEBUG LOG_INFO LOG_WARNING LOG_ERROR LOG_FATAL LOG_SECURITY
    `String` - the message, if null it should be ignored.

### log

    public void log(int aLevel,
                    String aMsg,
                    Throwable anException)

  Deprecated See BEA Commerce product offering

  Write to the weblogic logs, with extra information added.

  Specified by:
    `log` in interface `Log`
  Parameters
    `int` - aLevel Possible error levels are: LOG_DEBUG LOG_INFO LOG_WARNING LOG_ERROR LOG_FATAL LOG_SECURITY
    `String` - the message, if null it should be ignored.
    `Throwable` - the exception.

### log

    public void log(int aLevel,
                    String appName,
                    String aMsg)

  Deprecated See BEA Commerce product offering

  Write to the logs, with extra information added.

  Specified by:
    `log` in interface `Log`
  Parameters
    `int` - aLevel Possible error levels are: LOG_DEBUG LOG_INFO LOG_WARNING LOG_ERROR LOG_FATAL LOG_SECURITY
    `appName` - the name of the application logging the message
    `String` - the message, if null it should be ignored.

### log

    public void log(int aLevel,
                    String appName,
                    String aMsg,
                    Throwable anException)

  Deprecated See BEA Commerce product offering

  Write to the logs, with extra information added.

  Specified by:
    `log` in interface `Log`
  Parameters
    `int` - aLevel Possible error levels are: LOG_DEBUG LOG_INFO LOG_WARNING LOG_ERROR LOG_FATAL LOG_SECURITY
    `appName` - the name of the application logging the message
    `String` - the message, if null it should be ignored.
    `Throwable` - the exception.

### setMinimumLevel

    public void setMinimumLevel(int aLevel)

  Deprecated See BEA Commerce product offering

  Set the minimum message output level.

  Specified by:
    `setMinimumLevel` in interface `Log`
  Parameters
    `aLevel` - - this must conform to one of LOG_DEBUG LOG_INFO LOG_WARNING LOG_ERROR LOG_FATAL LOG_SECURITY

### getMinimumLevel

    public int getMinimumLevel()

  Deprecated See BEA Commerce product offering

  Get the minimum message output level.

  Specified by:
    `getMinimumLevel` in interface `Log`
  Returns
    `int` - this must conform to one of LOG_DEBUG LOG_INFO LOG_WARNING LOG_ERROR LOG_FATAL LOG_SECURITY

### setShowDeprecated

    public void setShowDeprecated(boolean aBool)

  Deprecated See BEA Commerce product offering

  Set show deprecated.

  Specified by:
    `setShowDeprecated` in interface `Log`
  Parameters
    `aBool` -

### getShowDeprecated

    public boolean getShowDeprecated()

  Deprecated See BEA Commerce product offering

  Get show deprecated.

  Specified by:
    `getShowDeprecated` in interface `Log`
  Returns
    `boolean`

### setShowDebug

    public void setShowDebug(boolean aBool)

  Deprecated See BEA Commerce product offering

  Set show debug.

  Specified by:
    `setShowDebug` in interface `Log`
  Parameters
    `aBool` -

### getShowDebug

    public boolean getShowDebug()

  Deprecated See BEA Commerce product offering

  Get show debug.

  Specified by:
    `getShowDebug` in interface `Log`
  Returns
    `boolean`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 BEA Systems, Inc. All Rights Reserved